/// dialog
enum language 
{
	english,
	translit,
	tamil,
}

globalvar current_language;

current_language = language.tamil;

globalvar words;

words[language.tamil, 0] = s_va;
words[language.tamil, 1] = s_gudhi;
words[language.tamil, 2] = s_vilu;
words[language.tamil, 3] = s_savi;
words[language.tamil, 4] = s_po;
words[language.tamil, 5] = s_vali;
words[language.tamil, 6] = s_thedu;
words[language.tamil, 7] = s_inge;
words[language.tamil, 8] = s_purigiratha;
words[language.tamil, 9] = s_amaidhi;
words[language.tamil, 10] = s_sontham;
words[language.tamil, 11] = s_porul;
words[language.tamil, 12] = s_veedu;



words[language.english, 0] = "come";
words[language.english, 1] = "jump";
words[language.english, 2] = "fall";
words[language.english, 3] = "key";
words[language.english, 4] = "leave";
words[language.english, 5] = "did you forget the way?";
words[language.english, 6] = "search";
words[language.english, 7] = "here";
words[language.english, 8] = "do you understand?";
words[language.english, 9] = "peace";
words[language.english, 10] = "kinship";
words[language.english, 11] = "meaning";
words[language.english, 12] = "home";



words[language.translit, 0] = "va";
words[language.translit, 1] = "gudhi";
words[language.translit, 2] = "vilu";
words[language.translit, 3] = "savi";
words[language.translit, 4] = "po";
words[language.translit, 5] = "vali marandhuvittiya?";
words[language.translit, 6] = "thedu";
words[language.translit, 7] = "inge";
words[language.translit, 8] = "purigiratha?";
words[language.translit, 9] = "amaidhi";
words[language.translit, 10] = "sontham";
words[language.translit, 11] = "porul";
words[language.translit, 12] = "veedu";

globalvar dudwords;

dudwords[language.tamil, 0] = s_thappu;
dudwords[language.tamil, 1] = s_thavaru;
dudwords[language.tamil, 2] = s_alla;
dudwords[language.tamil, 3] = s_illai;
dudwords[language.tamil, 4] = s_tholvi;
dudwords[language.tamil, 5] = s_innumthedu;
dudwords[language.tamil, 6] = s_vidu;
dudwords[language.tamil, 7] = s_amaidhi;
dudwords[language.tamil, 8] = s_sontham;
dudwords[language.tamil, 9] = s_porul;
dudwords[language.tamil, 10] = s_veedu;

dudwords[language.english, 0] = "wrong";
dudwords[language.english, 1] = "mistake";
dudwords[language.english, 2] = "it is not";
dudwords[language.english, 3] = "no";
dudwords[language.english, 4] = "failure";
dudwords[language.english, 5] = "keep searching";
dudwords[language.english, 6] = "leave me";
dudwords[language.english, 7] = "stillness";
dudwords[language.english, 8] = "possession";
dudwords[language.english, 9] = "object";
dudwords[language.english, 10] = "house";

dudwords[language.translit, 0] = "thappu"
dudwords[language.translit, 1] = "thavaru";
dudwords[language.translit, 2] = "alla";
dudwords[language.translit, 3] = "illai";
dudwords[language.translit, 4] = "tholvi";
dudwords[language.translit, 5] = "innumthedu";
dudwords[language.translit, 6] = "vidu";
dudwords[language.translit, 7] = "amaidhi";
dudwords[language.translit, 8] = "sontham";
dudwords[language.translit, 9] = "porul";
dudwords[language.translit, 10] = "veedu";

globalvar menutext;

menutext[language.tamil, 0] = s_thodangu;
menutext[language.tamil, 1] = s_nirutthu;
menutext[language.tamil, 2] = s_oli;
menutext[language.tamil, 3] = s_peru;
menutext[language.tamil, 4] = s_mozhi;
menutext[language.tamil, 5] = s_mozhipeyar;
menutext[language.tamil, 6] = s_olipeyar;
menutext[language.tamil, 7] = s_pesa;
menutext[language.tamil, 8] = s_nadakka;

menutext[language.english, 0] = "begin";
menutext[language.english, 1] = "quit";
menutext[language.english, 2] = "audio";
menutext[language.english, 3] = "Zak";
menutext[language.english, 4] = "Language";
menutext[language.english, 5] = "translate";
menutext[language.english, 6] = "transliterate";
menutext[language.english, 7] = "talk";
menutext[language.english, 8] = "move";


menutext[language.translit, 0] = "thodangu";
menutext[language.translit, 1] = "nirutthu";
menutext[language.translit, 2] = "oli";
menutext[language.translit, 3] = "Sakthivel Radhakrishna";
menutext[language.translit, 4] = "Mozhi";
menutext[language.translit, 5] = "mozhipeyar";
menutext[language.translit, 6] = "olipeyar";
menutext[language.translit, 7] = "pesa";
menutext[language.translit, 8] = "nadakka";



globalvar translate;
translate = 0;
globalvar transliterate;
transliterate = 0;

globalvar guideposx;
globalvar guideposy;

//if instance_exists(par_ref)
{
	guideposx[0] = o_ref1.x;
	guideposy[0] = o_ref1.y;

	guideposx[1] = o_ref2.x;
	guideposy[1] = o_ref2.y;

	guideposx[2] = o_ref3.x;
	guideposy[2] = o_ref3.y;

	guideposx[3] = o_ref4.x;
	guideposy[3] = o_ref4.y;

	guideposx[4] = o_ref5.x;
	guideposy[4] = o_ref5.y;

	guideposx[5] = o_ref6.x;
	guideposy[5] = o_ref6.y;
	
	guideposx[6] = o_ref7.x;
	guideposy[6] = o_ref7.y;
	
	guideposx[7] = o_ref8.x;
	guideposy[7] = o_ref8.y;
	
	guideposx[8] = o_ref9.x;
	guideposy[8] = o_ref9.y;
	
	guideposx[9] = o_ref10.x;
	guideposy[9] = o_ref10.y;
	
	guideposx[10] = o_ref11.x;
	guideposy[10] = o_ref11.y;
	
	guideposx[11] = o_ref12.x;
	guideposy[11] = o_ref12.y;
	
	guideposx[12] = o_ref13.x;
	guideposy[12] = o_ref13.y;
}